#
# spec file for package libtheora (Version 1.1.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libtheora
BuildRequires:  SDL-devel doxygen gcc-c++ libogg-devel libvorbis-devel pkg-config python
Url:            http://www.theora.org/
License:        BSD3c(or similar)
Group:          Productivity/Multimedia/Other
Summary:        Free Video Codec
Version:        1.1.1
Release:        9.1
%define pkg_version %version
# bug437293
%ifarch ppc64
Obsoletes:      libtheora-64bit
%endif
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://downloads.xiph.org/releases/theora/%{name}-%{pkg_version}.tar.bz2
Source2:        baselibs.conf

%description
Theora is a free video codec based on VP3. The package contains the
library that can decode and encode Theora streams. Theora is also able
to playback VP3 streams.



Authors:
--------
    the Xiph.Org Foundation http://www.xiph.org/

%package -n libtheora0
License:        BSD3c(or similar)
Group:          Productivity/Multimedia/Other
Summary:        Free Video Codec
Provides:       %{name} = %{version}
Obsoletes:      %{name} <= %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libtheora-64bit
%endif
#

%description -n libtheora0
Theora is a free video codec based on VP3. The package contains the
library that can decode and encode Theora streams. Theora is also able
to playback VP3 streams.



Authors:
--------
    the Xiph.Org Foundation http://www.xiph.org/

%package devel
License:        BSD3c(or similar)
Group:          Development/Libraries/C and C++
Summary:        Free Video Codec
Requires:       libtheora0 = %{version} libogg-devel
# bug437293
%ifarch ppc64
Obsoletes:      libtheora-devel-64bit
%endif
#

%description devel
Theora is a free video codec based on VP3. The package contains the
library that can decode and encode Theora streams. Theora is also able
to playback VP3 streams.



Authors:
--------
    the Xiph.Org Foundation http://www.xiph.org/

%prep
%setup -q -n %{name}-%{pkg_version}

%build
# FIXME:
# toplevel.c:183: warning: dereferencing type-punned pointer will break strict-aliasing rules
# x86_64/fdct_mmx.c:295: warning: dereferencing type-punned pointer will break strict-aliasing rules
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
ACLOCAL="aclocal -I m4" autoreconf -f -i
%configure \
    --disable-static \
    --with-pic
%{__make} %{?jobs:-j%jobs} docdir=%{_docdir}/%{name}

%install
%makeinstall docdir=%{_docdir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_bindir}
# Use non-generic name here to prevent vague meaning:
%{__install} examples/.libs/dump_video $RPM_BUILD_ROOT%{_bindir}/dump_video_theora
%{__install} examples/.libs/encoder_example $RPM_BUILD_ROOT%{_bindir}/encoder_example_theora
%{__install} examples/.libs/player_example $RPM_BUILD_ROOT%{_bindir}/player_example_theora
# And provide symlinks to old names (<= openSUSE 10.2):
%{__ln_s} dump_video_theora $RPM_BUILD_ROOT%{_bindir}/dump_video
%{__ln_s} encoder_example_theora $RPM_BUILD_ROOT%{_bindir}/encoder_example
%{__ln_s} player_example_theora $RPM_BUILD_ROOT%{_bindir}/player_example
# Install remaining parts of documentation.
%{__cp} -a AUTHORS CHANGES COPYING LICENSE README $RPM_BUILD_ROOT%{_docdir}/%{name}
cd examples
%{__make} clean
%{__cp} -a . $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
cd $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
%{__rm} -rf .deps Makefile*

%check
%{__make} check

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n libtheora0 -p /sbin/ldconfig

%postun -n libtheora0 -p /sbin/ldconfig

%files -n libtheora0
%defattr(-,root,root)
%{_libdir}/libtheora.so.0*
%{_libdir}/libtheoradec.so.1*
%{_libdir}/libtheoraenc.so.1*

%files devel
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_includedir}/theora
%{_libdir}/*.so
%{_libdir}/pkgconfig/theoradec.pc
%{_libdir}/pkgconfig/theoraenc.pc
%{_libdir}/pkgconfig/theora.pc
%exclude %{_libdir}/*.la

%changelog
* Fri Dec 18 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Wed Oct  7 2009 adrian@suse.de
- update to version 1.1.1
  * minor bugfixes
* Sat Sep 26 2009 adrian@suse.de
- update to version 1.1.0
  * minor fixes since beta 3
* Thu Aug 27 2009 adrian@suse.de
- update to version 1.1 beta 3
  * Much better encoder
    (faster and more details at same compressions level)
  * Playback received speed improvements, but bitstream format is
    untouched
- no package split yet for dec/enc/legacy libs due to 11.2 freeze
* Fri Jul 17 2009 adrian@suse.de
- update to version 1.0 final
  * new additional encoder and decoder libs with new api.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Wed May 21 2008 cthiel@suse.de
- fix baselibs.conf
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 13 2007 crrodriguez@suse.de
- fix package version numbers 1.0beta1 --> 1.0.beta2
- libtheora 1.0.beta2
  - Fix a crash bug on char-is-unsigned architectures (PowerPC)
  - Fix a buffer sizing issue that caused rare encoder crashes
  - Fix a buffer alignment issue
  - Improved format documentation.
- removed unneeded patch, use --with-pic configure option instead.
* Thu Nov  8 2007 adrian@suse.de
- fix compiling with gcc 4.3 on ia32
* Wed Sep 26 2007 adrian@suse.de
- update to 1.0beta1
  From official changelog:
  * Granulepos scheme modified to match other codecs. This bumps
  the bitstream revision to 3.2.1. Bitstreams marked 3.2.0 are
  handled correctly by this decoder. Older decoders will show
  a one frame sync error in the less noticable direction.
  * Switch to new spec compliant decoder from theora-exp branch.
  Written by Dr. Timothy Terriberry.
  * Add support to the encoder for using quantization settings
  provided by the application.
  * more assembly optimizations
* Wed Aug 15 2007 coolo@suse.de
- fixing upgrade (#293401)
* Sat Aug 11 2007 crrodriguez@suse.de
- fix build in x86_64
- use library packaging policy
- run make check in the check section
- add missing call to ldconfig
* Wed Mar 28 2007 sbrabec@suse.cz
- Updated to version 1.0alpha7:
  * Enable mmx assembly by default
  * Avoid some relocations that caused problems on SELinux
  * Other build fixes
  * time testing mode (-f) for the dump_video example
  * Merge theora-mmx simd acceleration (x86_32 and x86_64)
  * Major RTP payload specification update
  * Minor format specification updates
  * Fix some spurious calls to free() instead of _ogg_free()
  * Fix invalid array indexing in PixelLineSearch()
  * Improve robustness against invalid input
  * General warning cleanup
  * The offset_y member meaning fix.
- Use incremental versioning scheme.
- Documentation repackaged.
- Use less vague names for binaries.
* Tue Aug  1 2006 dmueller@suse.de
- Reenable test suite run with valgrind.
* Fri Jul 28 2006 aj@suse.de
- Disable test suite run with valgrind.
* Fri Mar 10 2006 bk@suse.de
- libtheora-devel: add libogg-devel to Requires (found by .la check)
* Mon Feb  6 2006 adrian@suse.de
- add -fstack-protector
- enable test suite run with valgrind
* Sun Jan 29 2006 aj@suse.de
- Fix BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 19 2005 adrian@suse.de
- update to version 1.0 alpha 5
- enable test suite
- generate API documentation with doxygen
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Jan  5 2005 adrian@suse.de
- update to version 1.0 alpha 4
* Tue Oct 26 2004 adrian@suse.de
- remove .svn directories
* Mon Oct 18 2004 adrian@suse.de
- update to current cvs to get pc file
* Thu Aug 19 2004 adrian@suse.de
- create -devel package
* Tue Jun 29 2004 adrian@suse.de
- do not install the libtool scripts ...
* Sat Apr 24 2004 adrian@suse.de
- use xorg-x11 packages
* Wed Apr 21 2004 adrian@suse.de
- compile with -fno-strict-aliasing
* Sun Mar 21 2004 adrian@suse.de
- update to alpha 3 release
  on disc format is still not frozen, so this remain an internal package
* Wed Feb  4 2004 adrian@suse.de
- remove binaries from example dir (they get installed anyway)
* Fri Jan 30 2004 adrian@suse.de
- initial package of current snapshot (post alpha2)
- internal package only atm
